using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmAddSoftwares : System.Web.UI.Page
{
    clsSoftware objSoftWare = new clsSoftware();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                GetSoftWareType();
            }

        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message;
        }
        txtSoftwareId.Focus();  
    }
    public void AddNewSoftWares()
    {
        if (ddlTypeName.SelectedItem.Text != "Select")
        {
            objSoftWare.SoftWareId = txtSoftwareId.Text;
            objSoftWare.Title = txtTitle.Text;
            objSoftWare.NoOfModules = int.Parse(txtModules.Text);
            objSoftWare.Description = txtDescription.Text;
            objSoftWare.PlatForm = txtPlatForm.Text;
            objSoftWare.Tested = ddlTested.SelectedItem.Text;
            objSoftWare.SoftTypeId  = Convert.ToInt32(ddlTypeName.SelectedItem.Value);
            objSoftWare.AddNewSoftWares();
        }
        else
        {
            lblMsg.Visible = true;
            lblMsg.Text = "Select Type Name";
        }

    }
    public void GetSoftWareType()
    {

        DataSet dsType = objSoftWare.GetSoftWareType();
        if (dsType.Tables[0].Rows.Count > 0)
        {
            ddlTypeName.DataTextField = "TypeName";
            ddlTypeName.DataValueField = "SoftWareTypeId";
            ddlTypeName.DataSource = dsType.Tables[0];
            ddlTypeName.DataBind();
            ddlTypeName.Items.Insert(0, "Select");
        }
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            AddNewSoftWares();
            Page.RegisterClientScriptBlock("shiva", "<script>alert('Successfully SoftWare Added')</script>");
            ClearData();


        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message;
        }

    }
    public void ClearData()
    {
        txtSoftwareId.Text = "";
        txtPlatForm.Text = "";
        txtDescription.Text = "";
        ddlTested.SelectedIndex = 0;
        ddlTypeName.SelectedIndex = 0;
        txtModules.Text = "";
        txtTitle.Text = "";
        txtSoftwareId.Focus();
        lblMsg.Text = "";
       
       
    }
}
