using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmAssignSoftwares : System.Web.UI.Page
{
    clsUserDetails objUsers = new clsUserDetails();
    clsSoftware objSoftWare = new clsSoftware();
    clsModules objModules = new clsModules();
    clsAssignSoftWares objAssign = new clsAssignSoftWares();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                GetEmpId();
                GetSoftWareId();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }

    }
    public void GetEmpId()
    {
        DataSet dsEmpId = objUsers.GetEmpId();
        if (dsEmpId.Tables[0].Rows.Count > 0)
        {
            ddlEmpId.DataTextField = "UserAccountId";
            ddlEmpId.DataValueField = "UserAccountId";
            ddlEmpId.DataSource = dsEmpId.Tables[0];
            ddlEmpId.DataBind();
            ddlEmpId.Items.Insert(0, "Select");
        }
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            AssignSoftWares();
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Operator AssignBy SoftWare')</script>");
            Clear();
            
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void GetUserDetialsById()
    {
        if (ddlEmpId.SelectedItem.Text != "Select")
        {
            objUsers.UserId = Convert.ToInt32(ddlEmpId.SelectedItem.Text.Trim());
            DataSet dsUserDetails = objUsers.GetUserDetailsById ();
            if (dsUserDetails.Tables[0].Rows.Count > 0)
            {
                DataRow dr = dsUserDetails.Tables[0].Rows[0];
                txtEname.Text = dr[0].ToString();
                txtQualification.Text = dr[1].ToString();

            }
        }
        

       

    }
    protected void ddlEmpId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            GetUserDetialsById();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void GetSoftWareId()
    {
        DataSet dsSoftWare = objSoftWare.GetSoftwareId();
        if (dsSoftWare.Tables[0].Rows.Count > 0)
        {
            ddlSoftwareId.DataTextField = "SoftWareId";
            ddlSoftwareId.DataValueField = "SoftWareId";
            ddlSoftwareId.DataSource = dsSoftWare.Tables[0];
            ddlSoftwareId.DataBind();
            ddlSoftwareId.Items.Insert(0, "Select");
        }
    }
    public void GetModuleDetails()
    {
        if (ddlSoftwareId.SelectedItem.Text != "Select")
        {
            objModules .SoftWareId =ddlSoftwareId.SelectedItem.Text .Trim ();
            DataSet dsMoudule = objModules.GetModuleIdBySoftWareId();
            if (dsMoudule.Tables[0].Rows.Count > 0)
            {
                ddlModuleId.DataTextField = "ModuleId";
                ddlModuleId.DataValueField = "Name";
                ddlModuleId.DataSource = dsMoudule.Tables[0];
                ddlModuleId.DataBind();
                ddlModuleId.Items.Insert(0, "Select");
            }
        }
    }
    protected void ddlModuleId_SelectedIndexChanged(object sender, EventArgs e)
    {
        
    }
    protected void ddlSoftwareId_PreRender(object sender, EventArgs e)
    {

    }
    protected void ddlSoftwareId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            ddlModuleId.Items.Clear();
            GetModuleDetails();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void AssignSoftWares()
    {
        objAssign.UserId = Convert.ToInt32(ddlEmpId.SelectedItem.Text.Trim());
        objAssign.Name = txtEname.Text;
        objAssign.Qualification = txtQualification.Text;
        objAssign.SoftWareId = ddlSoftwareId.SelectedItem.Text.Trim();
        objAssign.ModuleId = Convert.ToInt32(ddlModuleId.SelectedItem.Text.Trim());
        objAssign.ModuleName = ddlModuleId.SelectedValue.ToString();
        objAssign.AssignSoftWareToUsers();
    }
    public void Clear()
    {
        ddlEmpId.SelectedIndex = 0;
        ddlSoftwareId.SelectedIndex = 0;
        ddlModuleId.SelectedIndex = 0;
        txtEname.Text = "";
        txtQualification.Text = "";
        lblMsg.Text = "";
       
    }
}
