using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmManageAssignSoftWares : System.Web.UI.Page
{
    clsAssignSoftWares objAssign = new clsAssignSoftWares();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                DisplayAssignSoftWares();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void DisplayAssignSoftWares()
    {
        DataSet dsAssign = objAssign.DisplayAssignSoftWares();
        if (dsAssign.Tables[0].Rows.Count > 0)
        {
            GVAssignSoftWares.DataSource = dsAssign.Tables[0];
            GVAssignSoftWares.DataBind();
        }
    }
    protected void GVAssignSoftWares_RowEditing(object sender, GridViewEditEventArgs e)
    {
        try
        {
            int a = Convert.ToInt32 (GVAssignSoftWares.Rows[e.NewEditIndex].Cells[1].Text);
            Response.Redirect("~/Admin/frmUpdateAssignSoftWares.aspx?AssignId="+a);
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
}
