using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmManageModules : System.Web.UI.Page
{
    clsModules objModules = new clsModules(); 
    protected void Page_Load(object sender, EventArgs e)
    {

        try
        {
            if (!IsPostBack)
            {
                DisplayModules(); 
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;   
        }
    }
    public void DisplayModules()
    {
        DataSet dsModule = objModules.DisplayModules();
        if (dsModule.Tables[0].Rows.Count > 0)
        {
            GVManageModules.DataSource = dsModule.Tables[0];
            GVManageModules.DataBind();  
        }
    }
    protected void GVManageModules_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GVManageModules.PageIndex = e.NewPageIndex;
        DisplayModules(); 
    }
    protected void GVManageModules_RowEditing(object sender, GridViewEditEventArgs e)
    {

        try
        {
            int a = Convert.ToInt32(GVManageModules.Rows[e.NewEditIndex].Cells[1].Text);
            Response.Redirect("~/Admin/frmUpdateModules.aspx?ModuleId=" + a);  
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;
        }
      
        
    }
    protected void GVManageModules_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        try
        {
            int a = Convert.ToInt32(GVManageModules.Rows[e.RowIndex].Cells[1].Text);
            objModules.ModuleId = a;
            objModules.DeleteModules();
            DisplayModules();

        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;
        }

    }

}
