using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmManageSoftWare : System.Web.UI.Page
{
    clsSoftware objSoftware = new clsSoftware(); 
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                DisplaySoftWares(); 
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;   
        }
    }
    public void DisplaySoftWares()
    {
        DataSet dsSoftware = objSoftware.DisplaySoftWaresTypes();
        if (dsSoftware.Tables[0].Rows.Count > 0)
        {
            GVManageUsers.DataSource = dsSoftware.Tables[0];
            GVManageUsers.DataBind();
            Session["dsSoftware"] = dsSoftware;  
        }
    }
    protected void GVManageUsers_RowEditing(object sender, GridViewEditEventArgs e)
    {
        try
        {
            Response.Redirect("~/Admin/frmUpdateSoftwareTypes.aspx?TypeId="+e.NewEditIndex );  
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;
        }
    }
}
