using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmMangeSoftWares : System.Web.UI.Page
{
    clsSoftware objSoftWares = new clsSoftware();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                DisplaySoftWares();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }

    }
    
    public void DisplaySoftWares()
    {
        DataSet dsSoftWares = objSoftWares.DisplaySoftWares();
        if (dsSoftWares.Tables[0].Rows.Count > 0)
        {
            GVManageSoftWares.DataSource = dsSoftWares.Tables[0];
            GVManageSoftWares.DataBind();
        }
        else
        {
            lblMsg.Visible = true;
            lblMsg.Text = "No Data Avlaible";
        }
    }

    protected void GVManageSoftWares_RowEditing(object sender, GridViewEditEventArgs e)
    {
        try
        {
            string s=GVManageSoftWares.Rows[e.NewEditIndex ].Cells [1].Text ;
            Response.Redirect("~/Admin/frmUpdateSoftWares.aspx?SoftId="+s);
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }

    }
    protected void GVManageSoftWares_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GVManageSoftWares.PageIndex = e.NewPageIndex;
        DisplaySoftWares();
    }
}
