using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmUpdateAssignSoftWares : System.Web.UI.Page
{
    clsSoftware objSoftWare = new clsSoftware();
    clsModules objModules = new clsModules();
    clsAssignSoftWares objAssign = new clsAssignSoftWares();
    string str;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["AssignId"] == null)
        {
            Response.Redirect("~/Admin/frmManageAssignSoftWares.aspx");
        }
        try
        {
            if (!IsPostBack)
            {
                GetSoftWareId();
                GetAssigDetails();
               
                
                
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
        
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            UpdateAssignSoftWare();
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Updated')</script>"); 
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void GetSoftWareId()
    {
        DataSet dsSoftWare = objSoftWare.GetSoftwareId();
        if (dsSoftWare.Tables[0].Rows.Count > 0)
        {
            ddlSoftwareId.DataTextField = "SoftWareId";
            ddlSoftwareId.DataValueField = "SoftWareId";
            ddlSoftwareId.DataSource = dsSoftWare.Tables[0];
            ddlSoftwareId.DataBind();
            ddlSoftwareId.Items.Insert(0, "Select");
        }
    }
    public void GetModuleDetails()
    {
        if (ddlSoftwareId.SelectedItem.Text != "Select")
        {
            objModules.SoftWareId = ddlSoftwareId.SelectedItem.Text.Trim();
            DataSet dsMoudule = objModules.GetModuleIdBySoftWareId();
            if (dsMoudule.Tables[0].Rows.Count > 0)
            {
                ddlModuleId.DataTextField = "ModuleId";
                ddlModuleId.DataValueField = "Name";
                ddlModuleId.DataSource = dsMoudule.Tables[0];
                ddlModuleId.DataBind();
                ddlModuleId.Items.Insert(0, "Select");
            }
        }
        
    }
    public void GetAssigDetails()
    {
        objAssign.AssignId = Convert.ToInt32(Request["AssignId"]);
        DataSet dsAssign = objAssign.DisplayAssignSoftWaresById();
        if (dsAssign.Tables[0].Rows.Count > 0)
        {
            DataRow dr = dsAssign.Tables[0].Rows[0];
            txtEmpId.Text = dr[1].ToString();
            txtEname.Text = dr[2].ToString();
            txtQualification.Text = dr[3].ToString();
            txtSoftwareId.Text = dr[4].ToString();
            txtModuleId.Text = dr[5].ToString();   
                       
        }
    }
    protected void ddlSoftwareId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            txtSoftwareId.Visible = false;
            txtModuleId.Visible = false;   
            GetModuleDetails(); 
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;  
        }
    }
    public void UpdateAssignSoftWare()
    {
        if (ddlSoftwareId.SelectedItem.Text != "Select")
        {
            objAssign.UserId =Convert.ToInt32(txtEmpId.Text);
            objAssign.Name = txtEname.Text;
            objAssign.Qualification = txtQualification.Text;
            objAssign.SoftWareId = ddlSoftwareId.SelectedItem.Text.Trim();
            objAssign.ModuleId = Convert.ToInt32(ddlModuleId.SelectedItem.Text);
            objAssign.ModuleName = ddlModuleId.SelectedItem.Value;
            objAssign.UpdateAssignSoftWareToUsers();  
        }
    }
}
