using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmUpdateRoles : System.Web.UI.Page
{
    clsUserRoles objRoles = new clsUserRoles();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["dsRoles"] == null || Request["RoleId"] == null)
        {
            Response.Redirect("~/Admin/frmAddRoles.aspx");  
        }
        try
        {
            if (!IsPostBack)
            {
                GetUserRoles();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message;    
        }
    }
    public void GetUserRoles()
    {
        DataSet dsRoles = (DataSet)Session["dsRoles"];
        if (dsRoles.Tables[0].Rows.Count > 0)
        {
            DataRow dr = dsRoles.Tables[0].Rows[Convert.ToInt32(Request["RoleId"].ToString())];
            txtRoleId.Text = dr[0].ToString();
            txtRoleName.Text = dr[1].ToString();
            txtDescription.Text = dr[2].ToString();
            txtEmail.Text = dr[3].ToString();

            
        }
    }
    public void UpdateUserRoles()
    {
        objRoles.RoleId = Convert.ToInt32(txtRoleId.Text);
        objRoles.RoleName = txtRoleName.Text;
        objRoles.Description = txtRoleName.Text;
        objRoles.EmailId = txtEmail.Text;
        objRoles.UpdateRoles();
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            UpdateUserRoles();
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Roles Updated')</script>");
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message;
        }
    }
}
