using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmUpdateSoftWares : System.Web.UI.Page
{
    clsSoftware objSoftWare = new clsSoftware();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["SoftId"] == null)
        {
            Response.Redirect("~/Admin/frmMangeSoftWares.aspx");
        }
        try
        {
            if (!IsPostBack)
            {
                GetSoftWaresById();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void GetSoftWaresById()
    {
        objSoftWare.SoftWareId = Request["SoftId"].ToString();
        DataSet dsSoftWares = objSoftWare.DisplaySoftWaresById();
        if (dsSoftWares.Tables[0].Rows.Count > 0)
        {
            DataRow dr = dsSoftWares.Tables[0].Rows[0];
            txtSoftwareId.Text = dr[0].ToString();
            txtTitle.Text = dr[1].ToString();
            txtModules.Text = dr[2].ToString();
            txtDescription.Text = dr[3].ToString();
            txtPlatForm.Text = dr[4].ToString();
            ddlTested.SelectedItem.Text = dr[5].ToString();
            txtSoftWareTypeId.Text = dr[6].ToString();
            
            
        }
    }
    public void UpdateSoftWares()
    {
        objSoftWare.SoftWareId = txtSoftwareId.Text.Trim();
        objSoftWare.Title = txtTitle.Text.Trim();
        objSoftWare.NoOfModules = Convert.ToInt32(txtModules.Text);
        objSoftWare.Description = txtDescription.Text;
        objSoftWare.PlatForm = txtPlatForm.Text;
        objSoftWare.Tested = ddlTested.SelectedItem.Text;
        objSoftWare.SoftTypeId =Convert.ToInt32(txtSoftWareTypeId.Text);  
        objSoftWare.UpdateSoftWares();  
    }

    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            UpdateSoftWares();
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Updated SuccessFully')</script>");
            Clear(); 
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;  
        }
    }
    public void Clear()
    {
        txtSoftwareId.Text = "";
        txtSoftWareTypeId.Text = "";
        txtPlatForm.Text = "";
        txtTitle.Text = "";
        txtModules.Text = "";
        lblMsg.Text = "";
        txtDescription.Text = "";
        ddlTested.SelectedIndex = 0;  
    }
}
