using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmUpdateSoftwares : System.Web.UI.Page
{
    clsSoftware objSoftWare = new clsSoftware();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["dsSoftware"] == null || Request["TypeId"]==null)
        {
            Response.Redirect("~/Admin/frmManageSoftWare.aspx");  
        }
        try
        {
            if (!IsPostBack)
            {
                DisplaySoftware();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;  
        }
    }
    public void DisplaySoftware()
    {
        DataSet dsSoftware = (DataSet)Session["dsSoftware"];
        if (dsSoftware.Tables[0].Rows.Count > 0)
        {
            DataRow dr = dsSoftware.Tables[0].Rows[Convert.ToInt32(Request["TypeId"].ToString())];
            txtSoftTypeId.Text = dr[0].ToString();
            ddlTypeName.SelectedItem.Text = dr[1].ToString();
            txtModel.Text = dr[2].ToString();
            txtDescription.Text = dr[3].ToString();
            txtRemarks.Text = dr[4].ToString();   
        }
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            UpdateSoftWare();
            Page.RegisterClientScriptBlock("Dhanush","<script>alert('Updated SuccessFully')</script>");
            Clear(); 
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;
        }
    }
    public void UpdateSoftWare()
    {
        objSoftWare.SoftTypeId = Convert.ToInt32(txtSoftTypeId.Text);
        objSoftWare.TypeName = ddlTypeName.SelectedItem.Text.Trim();
        objSoftWare.Remarks = txtRemarks.Text.Trim();
        objSoftWare.Model = txtModel.Text.Trim();
        objSoftWare.Description = txtDescription.Text.Trim();
        objSoftWare.UpdateSoftWareTypes();  
    }
    public void Clear()
    {
        txtDescription.Text = "";
        txtModel.Text = "";
        txtRemarks.Text = "";
        ddlTypeName.SelectedIndex = 0;     
    }
}
