using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using DefectTrack.DAL;

/// <summary>
/// Summary description for clsAssignSoftWares
/// </summary>
public class clsAssignSoftWares
{
	public clsAssignSoftWares()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string name, qualification, softWareId, moduleName;

    public string ModuleName
    {
        get { return moduleName; }
        set { moduleName = value; }
    }

    public string SoftWareId
    {
        get { return softWareId; }
        set { softWareId = value; }
    }

    public string Qualification
    {
        get { return qualification; }
        set { qualification = value; }
    }

    public string Name
    {
        get { return name; }
        set { name = value; }
    }
    int userId, moduleId;

    public int ModuleId
    {
        get { return moduleId; }
        set { moduleId = value; }
    }

    public int UserId
    {
        get { return userId; }
        set { userId = value; }
    }
    int assignId;
    public int AssignId
    {
        get { return assignId; }
        set { assignId = value; }
    }


    public void AssignSoftWareToUsers()
    {
        SqlParameter[] p = new SqlParameter[6];
        p[0] = new SqlParameter("@EmpId", UserId);
        p[0].SqlDbType = SqlDbType.Int;
        p[1] = new SqlParameter("@Name", Name);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@Qualification", Qualification);
        p[2].SqlDbType = SqlDbType.VarChar;
        p[3] = new SqlParameter("@SoftWareId", SoftWareId);
        p[3].SqlDbType = SqlDbType.VarChar;
        p[4] = new SqlParameter("@ModuleId", ModuleId);
        p[4].SqlDbType = SqlDbType.Int;
        p[5] = new SqlParameter("@ModuleName", ModuleName);
        p[5].SqlDbType = SqlDbType.VarChar;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spSoftWareAssign", p);
    }
    public DataSet DisplayAssignSoftWares()
    {
        string SqlStat = "select * from tblSoftwareAssign";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
    public DataSet DisplayAssignSoftWaresById()
    {
        string SqlStat = "select * from tblSoftwareAssign Where AssignId="+AssignId ;
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
    public void UpdateAssignSoftWareToUsers()
    {
        SqlParameter[] p = new SqlParameter[6];
        p[0] = new SqlParameter("@EmpId", UserId);
        p[0].SqlDbType = SqlDbType.Int;
        p[1] = new SqlParameter("@Name", Name);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@Qualification", Qualification);
        p[2].SqlDbType = SqlDbType.VarChar;
        p[3] = new SqlParameter("@SoftWareId", SoftWareId);
        p[3].SqlDbType = SqlDbType.VarChar;
        p[4] = new SqlParameter("@ModuleId", ModuleId);
        p[4].SqlDbType = SqlDbType.Int;
        p[5] = new SqlParameter("@ModuleName", ModuleName);
        p[5].SqlDbType = SqlDbType.VarChar;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spUpdateSoftWareAssign", p);
    }
}
