using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using DefectTrack.DAL;
using System.Data.SqlClient;  
/// <summary>
/// Summary description for clsDefects
/// </summary>
public class clsDefects
{
	public clsDefects()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    int userAccountId, defectTypeId, moduleId;
    string typeName, description,softWareId,moduleName, emailId;

    public string SoftWareId
    {
        get { return softWareId; }
        set { softWareId = value; }
    }
    public string ModuleName
    {
        get { return moduleName; }
        set { moduleName = value; }
    }
    public int UserAccountId
    {
        get { return userAccountId; }
        set { userAccountId = value; }
    }
    public int DefectTypeId
    {
        get { return defectTypeId; }
        set { defectTypeId = value; }
    }
    public int ModuleId
    {
        get { return moduleId; }
        set { moduleId = value; }
    }
    public string TypeName
    {
        get { return typeName; }
        set { typeName = value; }
    }
    public string Description
    {
        get { return description; }
        set { description = value; }
    }
    public string EmailId
    {
        get { return emailId; }
        set { emailId = value; }
    }
    string status;
    public string Status
    {
        get { return status; }
        set { status = value; }
    }
    
    string userName;
    public string UserName
    {
        get { return userName; }
        set { userName = value; }
    }
    public void AddDefects()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@DefectTypeName", TypeName);
        p[0].SqlDbType = SqlDbType.VarChar;
        p[1] = new SqlParameter("@TargetEmailId", EmailId);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@Description", Description);
        p[2].SqlDbType = SqlDbType.VarChar;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spAddNewDefectTypes", p);  
    
    }
    public DataSet GetDefectName()
    {
        string SqlStat = "select DefectTypeId,DefectTypeName from tblDefectTypes";
      return   SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);  
    }
    public void InsertDefectDetails()
    {
        SqlParameter[] p = new SqlParameter[7];
        p[0] = new SqlParameter("@UserAccountId", UserAccountId );
        p[0].SqlDbType = SqlDbType.Int;
        p[1] = new SqlParameter("@SoftWareId",SoftWareId);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@ModuleId", ModuleId);
        p[2].SqlDbType = SqlDbType.Int;
        p[3] = new SqlParameter("@ModuleName", ModuleName );
        p[3].SqlDbType = SqlDbType.VarChar;
        p[4] = new SqlParameter("@Description", Description);
        p[4].SqlDbType = SqlDbType.VarChar;
        p[5] = new SqlParameter("@DefectTypeId", DefectTypeId);
        p[5].SqlDbType = SqlDbType.Int;
        p[6] = new SqlParameter("@DefectTypeName", TypeName);
        p[6].SqlDbType = SqlDbType.VarChar;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure , "spInsertDefectDetails", p);  
    }
    public DataSet  GetDefectTypes()
    {
        string SqlStat = "select * from tblDefectTypes";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
    public void UpdateDefectStatus()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@DefectTypeId", DefectTypeId);
        p[0].SqlDbType = SqlDbType.Int;
        p[1] = new SqlParameter("@Status", Status);
        p[1].SqlDbType = SqlDbType.VarChar;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spUpdateDefectTypeStatus", p);  
       
    }
    public DataSet CheckDefectReport()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@UserName", UserName);
        p[0].SqlDbType = SqlDbType.VarChar;
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spCheckDefectReport", p);  
    }
    public DataSet GetDefectDescription()
    {
        string SqlStat = "select * from tblDefectDetails  where DefectId=" + DefectTypeId;
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
    public void SetStatusForDefect()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@Status", Status);
        p[0].SqlDbType = SqlDbType.VarChar;
        p[1] = new SqlParameter("@DefectId",DefectTypeId);
        p[1].SqlDbType = SqlDbType.Int;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spSetStatusForDefect", p);  
    }
    public DataSet ShowDefectStatus()
    {
        SqlParameter p = new SqlParameter("@UserName", UserName);
        p.SqlDbType = SqlDbType.VarChar;
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spShowDefectStatusToUsers", p);
    }
}
