using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using DefectTrack.DAL;   
/// <summary>
/// Summary description for clsModules
/// </summary>
public class clsModules
{
	public clsModules()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string name, description, softWareId, remarks;

    public string Name
    {
        get { return name; }
        set { name = value; }
    }

    public string Description
    {
        get { return description; }
        set { description = value; }
    }

    public string SoftWareId
    {
        get { return softWareId; }
        set { softWareId = value; }
    }

    public string Remarks
    {
        get { return remarks; }
        set { remarks = value; }
    }
    int moduleId, noOfTasks;

    public int NoOfTasks
    {
        get { return noOfTasks; }
        set { noOfTasks = value; }
    }

    public int ModuleId
    {
        get { return moduleId; }
        set { moduleId = value; }
    }
   
    public int AddModules()
    {
        SqlParameter[] p = new SqlParameter[7];
        p[0] = new SqlParameter("@ModuleId", ModuleId);
        p[0].SqlDbType = SqlDbType.Int;
        p[1] = new SqlParameter("@Name", Name );
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@Description", Description);
        p[2].SqlDbType = SqlDbType.VarChar;
        p[3] = new SqlParameter("@NoOfTasks", NoOfTasks);
        p[3].SqlDbType = SqlDbType.Int;
        p[4] = new SqlParameter("@SoftWareId", SoftWareId );
        p[4].SqlDbType = SqlDbType.VarChar;
        p[5] = new SqlParameter("@Remarks", Remarks );
        p[5].SqlDbType = SqlDbType.VarChar;
        p[6] = new SqlParameter("@Found",SqlDbType.Int);
        p[6].Direction = ParameterDirection.Output;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spAddModules", p);
        return Convert.ToInt32(p[6].Value);
    }
    public void UpdateModules()
    {
        SqlParameter[] p = new SqlParameter[6];
        p[0] = new SqlParameter("@ModuleId", ModuleId);
        p[0].SqlDbType = SqlDbType.Int;
        p[1] = new SqlParameter("@Name", Name);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@Description", Description);
        p[2].SqlDbType = SqlDbType.VarChar;
        p[3] = new SqlParameter("@NoOfTasks", NoOfTasks);
        p[3].SqlDbType = SqlDbType.Int;
        p[4] = new SqlParameter("@SoftWareId", SoftWareId);
        p[4].SqlDbType = SqlDbType.VarChar;
        p[5] = new SqlParameter("@Remarks", Remarks);
        p[5].SqlDbType = SqlDbType.VarChar;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spUpdateModules", p);
    }
    public DataSet DisplayModules()
    {
        string SqlStat = "select * from tblModuleDetails order by SoftWareId";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);  
    }
    public DataSet DisplayModulesById()
    {
        string SqlStat = "select * from tblModuleDetails where ModuleId="+ModuleId;
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
    public void DeleteModules()
    {
        string SqlStat = "delete from tblModuleDetails where ModuleId=" + ModuleId;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
    public DataSet GetModuleIdBySoftWareId()
    {
        string SqlStat = "select ModuleId,Name from tblModuleDetails where SoftWareId='" + SoftWareId + "'";
       return  SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);

    }
    
}
