using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using DefectTrack.DAL; 
/// <summary>
/// Summary description for clsSoftware
/// </summary>
public class clsSoftware
{
	public clsSoftware()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string typeName, model, description, remarks;
    public string TypeName
    {
        get { return typeName; }
        set { typeName = value; }
    }
    public string Model
    {
        get { return model; }
        set { model = value; }
    }
    public string Description
    {
        get { return description; }
        set { description = value; }
    }
    public string Remarks
    {
        get { return remarks; }
        set { remarks = value; }
    }
    int softTypeId;
    public int SoftTypeId
    {
        get { return softTypeId; }
        set { softTypeId = value; }
    }
    string softWareId, title,  platForm, tested;

    public string Tested
    {
        get { return tested; }
        set { tested = value; }
    }

    public string PlatForm
    {
        get { return platForm; }
        set { platForm = value; }
    }

   

    public string Title
    {
        get { return title; }
        set { title = value; }
    }

    public string SoftWareId
    {
        get { return softWareId; }
        set { softWareId = value; }
    }
    int noOfModules;

    public int NoOfModules
    {
        get { return noOfModules; }
        set { noOfModules = value; }
    }
    public void AddSoftWareTypes()
    {
        SqlParameter[] p = new SqlParameter[4];
        p[0] = new SqlParameter("@TypeName", TypeName);
        p[0].SqlDbType = SqlDbType.VarChar;
        p[1] = new SqlParameter("@Model", Model);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@Description",Description);
        p[2].SqlDbType = SqlDbType.VarChar;
        p[3] = new SqlParameter("@Remarks", Remarks);
        p[3].SqlDbType = SqlDbType.VarChar;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spAddSoftWareTypes", p);
   
    }
    public void UpdateSoftWareTypes()
    {
        SqlParameter[] p = new SqlParameter[5];
        p[0] = new SqlParameter("@TypeName", TypeName );
        p[0].SqlDbType = SqlDbType.VarChar;
        p[1] = new SqlParameter("@Model", Model);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@Description", Description);
        p[2].SqlDbType = SqlDbType.VarChar;
        p[3] = new SqlParameter("@Remarks", Remarks);
        p[3].SqlDbType = SqlDbType.VarChar;
        p[4] = new SqlParameter("@SoftWareTypeId", SoftTypeId);
        p[4].SqlDbType = SqlDbType.VarChar;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spUpdateSoftWareTypes", p);
    }
    //public void DeleteSoftWare()
    //{
    //    string sqlstat = "delete from tblSoftWareTypes where SoftWareTypeId=" + SoftWareTypeId;
    //    SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.Text, sqlstat);

    //}
    public DataSet DisplaySoftWaresTypes()
    {
        string SqlStat = "select * from tblSoftWareTypes";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);   
    }
    public void AddNewSoftWares()
    {
        SqlParameter[] p = new SqlParameter[7];
        p[0] = new SqlParameter("@SoftWareId", SoftWareId);
        p[0].SqlDbType = SqlDbType.VarChar;
        p[1] = new SqlParameter("@Title", Title);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@NoOfModules", NoOfModules);
        p[2].SqlDbType = SqlDbType.Int;
        p[3] = new SqlParameter("@Description", Description);
        p[3].SqlDbType = SqlDbType.VarChar;
        p[4] = new SqlParameter("@PlatForm", PlatForm);
        p[4].SqlDbType = SqlDbType.VarChar;
        p[5] = new SqlParameter("@Tested", Tested);
        p[5].SqlDbType = SqlDbType.VarChar;
        p[6] = new SqlParameter("@SoftWareTypeId", SoftTypeId);
        p[6].SqlDbType = SqlDbType.Int;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spAddNewSoftWares", p);

    }
    public DataSet GetSoftWareType()
    {
        string SqlStat = "select SoftWareTypeId,TypeName from tblSoftWareTypes";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
    public DataSet DisplaySoftWares()
    {
        string SqlStat = "select * from tblSoftWareDetails";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
    public DataSet DisplaySoftWaresById()
    {
        string SqlStat = "select * from tblSoftWareDetails where SoftWareId='"+SoftWareId +"'" ;
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
    public void UpdateSoftWares()
    {
        SqlParameter[] p = new SqlParameter[6];
        p[0] = new SqlParameter("@SoftWareId", SoftWareId);
        p[0].SqlDbType = SqlDbType.VarChar;
        p[1] = new SqlParameter("@Title", Title);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@NoOfModules", NoOfModules);
        p[2].SqlDbType = SqlDbType.Int;
        p[3] = new SqlParameter("@Description", Description);
        p[3].SqlDbType = SqlDbType.VarChar;
        p[4] = new SqlParameter("@PlatForm", PlatForm);
        p[4].SqlDbType = SqlDbType.VarChar;
        p[5] = new SqlParameter("@Tested", Tested);
        p[5].SqlDbType = SqlDbType.VarChar;
       
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spUpdateSoftWares", p);

    }
    public DataSet GetSoftwareId()
    {
        string SqlStat = "select SoftwareId from tblSoftwareDetails";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);
    }
}
