using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class OperationAdmin_frmCheckDefectReport : System.Web.UI.Page
{
    clsDefects objDefects = new clsDefects();  
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {

                CheckDefectReport(); 
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;   
        }
    }
    public void CheckDefectReport()
    {
        objDefects.UserName = Session["UserName"].ToString();    
        DataSet dsReport = objDefects.CheckDefectReport();
        if (dsReport.Tables[0].Rows.Count > 0)
        {
            GVCheckReports.DataSource = dsReport.Tables[0];
            GVCheckReports.DataBind();  
        }
    }
    protected void GVCheckReports_RowEditing(object sender, GridViewEditEventArgs e)
    {
        try
        {
            int a = Convert.ToInt32(GVCheckReports.Rows[e.NewEditIndex].Cells[1].Text);
            Response.Redirect("~/OperationAdmin/frmEditDefectReport.aspx?DefectId="+a);  

        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
            lblMsg.Visible = true;   
        }
    }
}
