using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class OperationAdmin_frmEditDefectReport : System.Web.UI.Page
{
    clsDefects objDefect = new clsDefects(); 
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["DefectId"] == null)
        {
            Response.Redirect("~/OperationAdmin/frmCheckDefectReport.aspx");  
        }
        try
        {
            if (!IsPostBack)
            {
                GetDefectDescription(); 
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;  
        }
    }
    public void GetDefectDescription()
    {
        objDefect.DefectTypeId = Convert.ToInt32(Request["DefectId"].ToString());
      DataSet dsReports=  objDefect.GetDefectDescription();
      if (dsReports.Tables[0].Rows.Count > 0)
       {
           DataRow dr = dsReports.Tables[0].Rows[0];
           txtUserId.Text = dr[1].ToString();
           txtSoftId.Text = dr[4].ToString();
           txtModuleId.Text = dr[5].ToString();
           txtModuleName.Text = dr[6].ToString();
           txtDefectTypeId.Text = dr[8].ToString();
           txtDefectName.Text = dr[9].ToString();
           txtDescription.Text = dr[7].ToString();
           txtDefectId.Text = dr[0].ToString();   
      }
      
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
                lblMsg.Text = "";  
                SetDefectStatus();
                
                         
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;  
        }
    }
    public void SetDefectStatus()
    {
        

            objDefect.Status = rblStatus.SelectedItem.Text;
            objDefect.DefectTypeId = Convert.ToInt32(txtDefectId.Text);
            objDefect.SetStatusForDefect();
       
    }
    
    }

