using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Reports_frmComponentReport : System.Web.UI.Page
{
    clsReports objReports = new clsReports();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                GetSoftWareId();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void GetSoftWareId()
    {
        DataSet dsSoftId = objReports.GetSoftWareId();
      
            if(dsSoftId.Tables[0].Rows.Count >0)
            {
                ddlSoftWareId.DataTextField ="SoftWareId";
                ddlSoftWareId.DataValueField ="SoftWareId";
                ddlSoftWareId.DataSource =dsSoftId.Tables[0];
                ddlSoftWareId.DataBind ();
                ddlSoftWareId.Items.Insert (0,"Select");
                
            }
        
    }
    public void GetSoftWareDetails()
    {
        if (ddlSoftWareId.SelectedItem.Text != "Select")
        {
            objReports.SoftWareId = ddlSoftWareId.SelectedItem.Text;
            DataSet dsSoftDetails = objReports.GetSoftWareDetails();
            if (dsSoftDetails.Tables[0].Rows.Count > 0)
            {
                GVSoftWares.DataSource = dsSoftDetails.Tables[0];
                GVSoftWares.DataBind();
            }
        }
        else
        {
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Select SoftWareId')</script>");  
        }
    }
    protected void btnFind_Click(object sender, EventArgs e)
    {
        try
        {
            GetSoftWareDetails();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    protected void ddlSoftWareId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddlSoftWareId.SelectedItem.Text != "Select")
            {
                btnFind.Visible = true;
                btnPrint.Visible = true;
                btnExcelFormat.Visible = true;
                btnPdfFormat.Visible = true;   
            }
            else
            {
                btnFind.Visible = false;
                btnPrint.Visible = false ;
                btnExcelFormat.Visible =false;
                btnPdfFormat.Visible =false;  
                GVSoftWares.Visible = false;

            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    protected void btnExcelFormat_Click(object sender, EventArgs e)
    {

        try
        {
            Response.Clear();
            Response.AddHeader("content-disposition", "attachment;filename=DocumentReport.xls");
            Response.Charset = "";
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.ContentType = "application/vnd.ms-excel";
            System.IO.StringWriter stringWrite = new System.IO.StringWriter();
            System.Web.UI.HtmlTextWriter htmlWrite = new HtmlTextWriter(stringWrite);
            GVSoftWares.RenderControl(htmlWrite);
            Response.Write(stringWrite.ToString());
            Response.End();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
        
    }
    protected void btnPdfFormat_Click(object sender, EventArgs e)
    {
        try
        {
            Response.Clear();
            Response.AddHeader("content-disposition", "attachment;filename=DocumentReport.pdf");
            Response.Charset = "";
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.ContentType = "application/pdf";
            System.IO.StringWriter stringWrite = new System.IO.StringWriter();
            System.Web.UI.HtmlTextWriter htmlWrite = new HtmlTextWriter(stringWrite);
            GVSoftWares .RenderControl(htmlWrite);
            Response.Write(stringWrite.ToString());
            Response.End();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public override void VerifyRenderingInServerForm(Control control)
    {

    }
    protected void btnPrint_Click(object sender, EventArgs e)
    {

    }
}
