using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class UserControls_ucLoginControl : System.Web.UI.UserControl
{
    clsLogin objLogin = new clsLogin(); 
    protected void Page_Load(object sender, EventArgs e)
    {
        txtUserName.Focus();  
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            LoginCheck(); 
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;   
        }
    }
    public void LoginCheck()
    {
        objLogin.UserName = txtUserName.Text;
        objLogin.Password = txtPassword.Text;
        int role= objLogin.CheckPassword();
        if (role == 80)
        {
            Session["UserName"] = txtUserName.Text;   
            Response.Redirect("~/Admin/frmAdminHome.aspx");  
        }
        else if (role == 20 || role == 30 || role == 40 || role == 70)
        {
            Session["UserName"] = txtUserName.Text;
            Response.Redirect("~/OperationAdmin/frmOpAdminHome.aspx");  
        }
        else if (role == 60)
        {
            Session["UserName"] = txtUserName.Text;
            Response.Redirect("~/Operators/frmOperatorsHome.aspx");  
        }
        else if(role==0) 
        {
            lblMsg.Text = "Invalid UserName/Password";  
        }
  
    }
}
