using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmAddDefectTypes : System.Web.UI.Page
{
    clsUserRoles objRoles = new clsUserRoles();
    clsDefects objDefects = new clsDefects(); 
    protected void Page_Load(object sender, EventArgs e)
    {

        try
        {
            if (!IsPostBack)
            {
                GetEmailId(); 
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;   
 
        }
        txtTypeName.Focus();   
    }
    public void GetEmailId()
    {
        DataSet dsRoles = objRoles.GetEmailId();
        if (dsRoles.Tables[0].Rows.Count > 0)
        {
            ddlEmailId.DataTextField = "EmailId";
            ddlEmailId.DataValueField = "RoleId";
            ddlEmailId.DataSource = dsRoles.Tables[0];
            ddlEmailId.DataBind();
            ddlEmailId.Items.Insert(0, "select");   
        }
    }
    public void AddDefectTypes()
    {
        if (ddlEmailId.SelectedItem.Text != "Select")
        {
            objDefects.TypeName = txtTypeName.Text.Trim();
            objDefects.EmailId = ddlEmailId.SelectedItem.Text;
            objDefects.Description = txtDescription.Text;
            objDefects.AddDefects();
        }
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {

        try
        {
            AddDefectTypes();
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Successfully done')</script>");
            Clear(); 
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;   
        }
    }
    public void Clear()
    {
        txtDescription.Text = "";
        txtTypeName.Text = "";
        ddlEmailId.SelectedIndex = 0;  
    }
}
