using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmAddModules : System.Web.UI.Page
{
    clsSoftware objSoftware = new clsSoftware();
    clsModules objModules = new clsModules(); 
    protected void Page_Load(object sender, EventArgs e)
    {

        try
        {
            if (!IsPostBack)
            {
                GetSoftwareId(); 
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;   
        }
    }
    public void GetSoftwareId()
    {
        DataSet dsSoftware = objSoftware.GetSoftwareId();
        if (dsSoftware.Tables[0].Rows.Count > 0)
        {
            ddlTypeName.DataTextField = "SoftwareId";
            ddlTypeName.DataValueField = "SoftwareId";
            ddlTypeName.DataSource = dsSoftware.Tables[0];
            ddlTypeName.DataBind();
            ddlTypeName.Items.Insert(0, "Select");   
        }
    }
    public void AddMoules()
    {
        objModules.ModuleId = Convert.ToInt32(txtModuleId.Text.Trim());
        objModules.Name = txtName.Text;
        objModules.Description = txtDescription.Text;    
        objModules.NoOfTasks =Convert.ToInt32(txtTasks.Text);
        objModules.Remarks = txtRemarks.Text;
        objModules.SoftWareId = ddlTypeName.SelectedItem.Text;
       int a= objModules.AddModules();
       if (a == 1)
       {
           Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Modules Added Successfully')</script>");
       }
       else if(a==0)
        {
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('No More Modules for this S/W')</script>");
        }
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            AddMoules();
             Clear(); 
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;
        }
    }
    public void Clear()
    {
        txtDescription.Text = "";
        txtModuleId.Text = "";
        txtName.Text = "";
        txtRemarks.Text = "";
        txtTasks.Text = "";
        lblMsg.Text = "";
        ddlTypeName.SelectedIndex = 0;  
    }
}
