using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmManageDefects : System.Web.UI.Page
{
    clsDefects objDefects = new clsDefects(); 
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                GetDefects(); 
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;   
        }
    }
    public void GetDefects()
    {
        DataSet dsDefects = objDefects.GetDefectTypes();
        if (dsDefects.Tables[0].Rows.Count > 0)
        {
            GVManagedefects.DataSource = dsDefects.Tables[0];
            GVManagedefects.DataBind();  
        }
    }
    protected void GVManagedefects_RowEditing(object sender, GridViewEditEventArgs e)
    {
        try
        {
            GVManagedefects.EditIndex = e.NewEditIndex;
            GetDefects();
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;   
        }
    }
    protected void GVManagedefects_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
    {
        try
        {
            GVManagedefects.EditIndex = -1 ;
            GetDefects();
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;
        }
    }
    protected void GVManagedefects_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        try
        {
            DropDownList ddlStatus;
            int a = Convert.ToInt32(GVManagedefects.Rows[e.RowIndex].Cells[1].Text.ToString());
            ddlStatus = (DropDownList)GVManagedefects.Rows[e.RowIndex].FindControl("ddlStatus");
            objDefects.DefectTypeId = a;
            objDefects.Status = ddlStatus.SelectedItem.Text;
            objDefects.UpdateDefectStatus();
            GVManagedefects.EditIndex = -1;   
            GetDefects(); 
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;
        }
    }
    
}
