using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmManageRoles : System.Web.UI.Page
{
    clsUserRoles objRoles = new clsUserRoles(); 
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                GetUserRoles(); 
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message;   
        }
    }
    public void GetUserRoles()
    {
        DataSet dsRoles = objRoles.GetUserRoles();
        if (dsRoles.Tables[0].Rows.Count > 0)
        {
            GVManageRoles.DataSource = dsRoles.Tables[0];
            GVManageRoles.DataBind();
            Session["dsRoles"] = dsRoles;  
        }
    }
    protected void GVManageRoles_RowEditing(object sender, GridViewEditEventArgs e)
    {
        try
        {
          Response.Redirect("~/Admin/frmUpdateRoles.aspx?RoleId="+e.NewEditIndex.ToString());  
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message;
        }

    }
    protected void GVManageRoles_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        try
        {
            int a = Convert.ToInt32(GVManageRoles.Rows[e.RowIndex].Cells[1].Text);
            objRoles.RoleId = a;
            objRoles.DeleteRoles();
            GetUserRoles(); 
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message;
        }
    }
}
