using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmUpdateModules : System.Web.UI.Page
{
    clsModules objModule = new clsModules(); 
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["ModuleId"] == null)
        {
            Response.Redirect("~/Admin/frmManageModules.aspx");  
        }
        try
        {
            if (!IsPostBack)
            {
                EditModuleDetails(); 
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
            lblMsg.Visible = true;  
        }
    }
    public void EditModuleDetails()
    {
        objModule.ModuleId = Convert.ToInt32(Request["ModuleId"].ToString());
        DataSet dsModules = objModule.DisplayModulesById();
        if (dsModules.Tables[0].Rows.Count > 0)
        {
            DataRow dr = dsModules.Tables[0].Rows[0];
            txtModuleId.Text = dr[0].ToString();
            txtName.Text = dr[1].ToString();
            txtDescription.Text = dr[2].ToString();
            txtTasks.Text = dr[3].ToString();
            txtRemarks.Text = dr[5].ToString();
            txttypeName.Text = dr[4].ToString();   
        }
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {

        try
        {
            UpdateModules(); 
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Module Updated Successfully')</script>");
            Clear(); 
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
            lblMsg.Visible = true;
        }
    }
    public void UpdateModules()
    {
      
   
        objModule.ModuleId = Convert.ToInt32(txtModuleId.Text.Trim());
        objModule.Name = txtName.Text;
        objModule.Description = txtDescription.Text;    
        objModule.NoOfTasks =Convert.ToInt32(txtTasks.Text);
        objModule.Remarks = txtRemarks.Text;
        objModule.SoftWareId = txttypeName.Text.Trim();
        objModule.UpdateModules();  
    }
    public void Clear()
    {
        txtDescription.Text = "";
        txtModuleId.Text = "";
        txtName.Text = "";
        txtRemarks.Text = "";
        txtTasks.Text = "";
        lblMsg.Text = "";
        txttypeName.Text = "";
        
       
    }
}
