using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using DefectTrack.DAL;  

/// <summary>
/// Summary description for clsUserRoles
/// </summary>
public class clsUserRoles
{
	public clsUserRoles()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string roleName;
    public string RoleName
{
    get { return roleName; }
    set { roleName = value; } 
}
string description;
    public string Description
{
    get { return description; }
    set { description = value; }
}
string emailId;
    public string EmailId
{
    get { return emailId; }
    set { emailId = value; }
}

int roleId;
    public int RoleId
{
    get { return roleId; }
    set { roleId = value; }
}
    public void InserRoles()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@RoleName", RoleName);
        p[0].SqlDbType = SqlDbType.VarChar;
        p[1] = new SqlParameter("@Description", Description);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@EmailId", EmailId );
        p[2].SqlDbType = SqlDbType.VarChar;

        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spInsertRoles", p);  
    }
    public DataSet GetUserRoles()
    {
        string SqlStat = "select * from tblRoles";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);  
    }
    public void UpdateRoles()
    {
        SqlParameter[] p = new SqlParameter[4];
        p[0] = new SqlParameter("@RoleName", RoleName);
        p[0].SqlDbType = SqlDbType.VarChar;
        p[1] = new SqlParameter("@Description", Description);
        p[1].SqlDbType = SqlDbType.VarChar;
        p[2] = new SqlParameter("@EmailId", EmailId);
        p[2].SqlDbType = SqlDbType.VarChar;
        p[3] = new SqlParameter("@RoleId", RoleId);
        p[3].SqlDbType = SqlDbType.Int;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.StoredProcedure, "spUpdateUserRoles", p);
    }
    public void DeleteRoles()
    {

        string SqlStat = "delete from tblRoles where RoleId=" + RoleId;
        SqlHelper.ExecuteNonQuery(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);  
    }
    public DataSet GetRoleId()
    {
        string SqlStat = "select RoleId,RoleName from tblRoles";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);  
    }
    public DataSet GetEmailId()
    {
        string SqlStat = "select RoleId, EmailId from tblRoles";
        return SqlHelper.ExecuteDataset(clsConnection.ConnenctionString(), CommandType.Text, SqlStat);  
    }
    public string GetRoleName()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@UserName", RoleName);
        p[0].SqlDbType = SqlDbType.VarChar;
        SqlDataReader dr;
        dr=SqlHelper.ExecuteReader (clsConnection.ConnenctionString (),CommandType.StoredProcedure ,"spGetRoles",p);
        dr.Read();
         string str;
         if (dr.HasRows)
         {
             str = dr[0].ToString();
             return str;
         }
         else
         {
             str = "Invalid RoleName";
             return str;
         }
          
    }
}
