using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Operators_frmCheckDefectStatus : System.Web.UI.Page
{
    clsDefects objDefects = new clsDefects();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                ShowDefectStatus();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void ShowDefectStatus()
    {
        objDefects.UserName =Session["UserName"].ToString ();
        DataSet dsDefects = objDefects.ShowDefectStatus();
        if (dsDefects.Tables[0].Rows.Count > 0)
        {
            GVDefectStatus.DataSource = dsDefects.Tables[0];
            GVDefectStatus.DataBind();
        }
        else
        {
            lblMsg.Text = "No Data Found";
            lblMsg.Visible = true;
        }
    }

    protected void GVDefectStatus_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        try
        {
            GVDefectStatus.PageIndex = e.NewPageIndex;
            ShowDefectStatus();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }

    }
}
